/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

/* Make it safe to include this file more than once. */

#ifndef BOXP_H
#define BOXP_H

/* Include the public header file for Box */

#include "Box.h"

/* Box is derived from Composite, so no need to include the superclass
   private header file.  */

/* Define the Box instance part */

typedef struct {
  /* New resource fields */
    Dimension	margin;		/* Extra space to leave on edges */

  /* New internal fields */
    Widget	last_focus;	/* Child that last had the focus */
} BoxPart;

/* Define the full instance record */

typedef struct _BoxRec {
    CorePart		core;
    CompositePart	composite;
    BoxPart		box;
} BoxRec;

/* Define class part structure */

typedef struct {
    XtPointer		extension;
} BoxClassPart;

/* Define the full class record */

typedef struct _BoxClassRec {
    CoreClassPart	core_class;
    CompositeClassPart	composite_class;
    BoxClassPart	box_class;
} BoxClassRec, *BoxClass;

/* External definition for class record */

extern BoxClassRec boxClassRec;

/* End of preprocessor directives */

#endif /* BOXP_H */

